Bug 289668 - Auth handler support for msn and xmpp
Summary: Auth handler support for msn and xmpp
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: auth-handler (show other bugs)
Version: git-latest
Platform: openSUSE RPMs Linux
: NOR wishlist
Target Milestone: 0.4.0
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks: 289154
  Show dependency treegraph
 
Reported: 2011-12-23 14:56 UTC by Daniele E. Domenichelli
Modified: 2012-07-06 12:47 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniele E. Domenichelli 2011-12-23 14:56:57 UTC
+++ This bug was initially created as a clone of Bug #289154 +++

Version:           git-latest (using Devel) 
OS:                Linux

it seems msn came to their senses... and they support xmpp
http://msdn.microsoft.com/en-us/windowslive/hh561460
Shall we have an account plugin for it?
at least I would like it.

Alin

Reproducible: Didn't try



Expected Results:  
...

OS: Linux (x86_64) release 3.1.0-2-desktop
Compiler: gcc
Comment 1 Daniele E. Domenichelli 2011-12-27 15:23:08 UTC
Git commit 8eee839cb719ea6eff30be9edd75ed6ce0bc1e10 by Daniele E. Domenichelli.
Committed on 23/12/2011 at 15:31.
Pushed by ddomenichelli into branch 'master'.

Support X-MESSENGER-OAUTH2 authentication mechanism
Related: bug 289668

M  +3    -0    CMakeLists.txt
M  +14   -2    sasl-auth-op.cpp
A  +121  -0    x-messenger-oauth2-auth-operation.cpp     [License: LGPL (v2.1+)]
A  +54   -0    x-messenger-oauth2-auth-operation.h     [License: LGPL (v2.1+)]
A  +159  -0    x-messenger-oauth2-prompt.cpp     [License: LGPL (v2.1+)]
A  +58   -0    x-messenger-oauth2-prompt.h     [License: LGPL (v2.1+)]

http://commits.kde.org/telepathy-auth-handler/8eee839cb719ea6eff30be9edd75ed6ce0bc1e10